List global DDEX providers
curl --request GET \
--url https://api.royalti.io/ddex/providers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.royalti.io/ddex/providers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.royalti.io/ddex/providers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"code": "<string>",
"dpid": "<string>",
"defaultDeliveryMethod": "SFTP",
"deliveryMethods": [],
"territories": [
"<string>"
],
"supportedFormats": [
"<string>"
],
"technicalSpecs": {},
"rateLimits": {},
"acknowledgementSettings": {},
"description": "<string>",
"isActive": true,
"website": "<string>",
"documentation": "<string>"
}
],
"pagination": {
"totalItems": 123,
"totalPages": 123,
"currentPage": 123,
"filteredItems": 123
}
}
}{
"status": "error",
"message": "Unauthorized"
}{
"status": "error",
"message": "Internal server error"
}Ddex
List global DDEX providers
Authorization:
- Required role:
useror higher
GET
/
ddex
/
providers
List global DDEX providers
Description
Authorization:- Required role:
useror higher
Code Examples
const response = await fetch('https://api.royalti.io/ddex/providers', {
method: 'GET',
});
const data = await response.json();
console.log(data);
import requests
response = requests.get(
'https://api.royalti.io/ddex/providers',
)
data = response.json()
print(data)
curl -X GET https://api.royalti.io/ddex/providers \
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Query Parameters
Available options:
streaming, download, physical, broadcast, sync, other ⌘I